[global]
	server min protocol = NT1
	obey pam restrictions = yes
	add group script = /usr/sbin/groupadd '%g'
	workgroup = WORKGROUP
	add user script = /usr/sbin/useradd -m '%u' -g users -G users
	vfs object = recycle
	log file = /var/log/samba/samba.log
	socket options = TCP_NODELAY
	recycle:touch = yes
	recycle:exclude_dir = tmp quarantine
	unix password sync = yes
	max log size = 1000
	passwd chat = *Enter\snew\s*\spassword:* %n\n *Retype\snew\s*\spassword:* %n\n *password\supdated\ssuccessfully* .
	passwd program = /usr/bin/passwd %u
	server string = TurnKey MediaServer
	recycle:versions = yes
	wins support = true
	passdb backend = tdbsam
	admin users = root
	security = user
	guest account = nobody
	map to guest = bad user
	panic action = /usr/share/samba/panic-action %d
	os level = 20
	add user to group script = /usr/sbin/usermod -G '%g' '%u'
	dns proxy = no
	recycle:keeptree = yes
	netbios name = MEDIASERVER
	pam password change = yes
	delete group script = /usr/sbin/groupdel '%g'
	delete user script = /usr/sbin/userdel -r '%u'

    
    #uncommenting the following parameter will prevent any guest access (public sharing)
    #restrict anonymous = 2  
    #used for guest access








[homes]
    comment = Home Directory
    browseable = no
    read only = no
    valid users = %S

[cdrom]
    comment = CD-ROM
    read only = yes
    locking = no
    guest ok = yes
    path = /media/cdrom
    preexec = /bin/mount /media/cdrom
    postexec = /bin/umount /media/cdrom

[storage]
	directory mask = 0755
	writable = yes
	guest ok = yes
	path = /media
	create mask = 0644
	comment = Public Share

